Uploaded image for project: 'Infrastructure'
  1. Infrastructure
  2. INFRA-2001

Puppet server is broken

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Component/s: puppet
    • Labels:
      None
    • Similar Issues:

      Description

      Since the recent puppet upgrade to puppet 6,
      That service has weird behaviors, puppet agent run never terminate correctly and always complains about
      "Could not autoload puppet/type/user: undefined method `sensitive' for Puppet::Type::User::Password:Class"

      each puppet run spam irc channel that puppet run failed

      So I decided to disable puppet agent everywhere until we fix this.

      I am suspecting that some gems remains from previous versions and conflict with puppet 6.

        Attachments

          Activity

          olblak Olivier Vernin created issue -
          olblak Olivier Vernin made changes -
          Field Original Value New Value
          Status Open [ 1 ] In Progress [ 3 ]
          olblak Olivier Vernin made changes -
          Resolution Fixed [ 1 ]
          Status In Progress [ 3 ] Resolved [ 5 ]
          olblak Olivier Vernin made changes -
          Status Resolved [ 5 ] Closed [ 6 ]

            People

            Assignee:
            olblak Olivier Vernin
            Reporter:
            olblak Olivier Vernin
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: